Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452662 - Installation hangs on http access before http proxy has been defined
Summary: Installation hangs on http access before http proxy has been defined
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 12:26 UTC by Dov Grobgeld
Modified: 2008-08-24 19:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-24 19:14:54 UTC


Attachments (Terms of Use)

Description Dov Grobgeld 2008-06-24 12:26:46 UTC
Description of problem:

Installation hangs on the screen "Please select Additional Fedora repositories"
if the checkbox Additional Fedora Software is pressed, and the system being
installed is behind a http proxy, since no prompting for a http proxy was done
before network access.

Version-Release number of selected component (if applicable):

Fedora 9.

How reproducible:

Every time.

Steps to Reproduce:
1. Install up to including disk partitioning.
2. Click check "Additional Fedora Software"
3.
  
Actual results:

A dialog with contents "Retrieving installation information for Additional
Software..." is shown and the system hangs.

Expected results:

Prompt for http proxy before trying to retrieve installation information.

Additional info:

Comment 1 Chris Lumens 2008-07-24 17:55:16 UTC
I've done a lot more work to our error handling in Rawhide in this area.  Can
you please give that a test and see if it's working a little better for you?  It
should still attempt to contact before prompting for proxy config, but then time
out and allow you to make the necessary modifications.

Comment 2 David Nalley 2008-08-24 19:14:54 UTC
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.